SystemOrganization addCategory: #'JQueryMobile-UI-Widgets'!

!JQueryInstance methodsFor: '*jquerymobile-ui-widgets' stamp: 'NickAger 11/1/2011 02:47'!
jqmButton
	^ self create: JQMButton! !

!JQueryInstance methodsFor: '*jquerymobile-ui-widgets' stamp: 'NickAger 11/1/2011 02:48'!
jqmRadioButton
	^ self create: JQMRadioButton! !

!JQueryInstance methodsFor: '*jquerymobile-ui-widgets' stamp: 'NickAger 11/1/2011 02:48'!
jqmSelect
	^ self create: JQMSelect! !

!JQueryInstance methodsFor: '*jquerymobile-ui-widgets' stamp: 'NickAger 11/1/2011 02:48'!
jqmSlider
	^ self create: JQMTextInput! !

!JQueryInstance methodsFor: '*jquerymobile-ui-widgets' stamp: 'NickAger 11/1/2011 02:48'!
jqmTextInput
	^ self create: JQMTextInput! !

!GRPackage class methodsFor: '*jquerymobile-ui-widgets' stamp: 'NickAger 11/1/2011 02:52'!
jQueryUIWidgets
	^ self new
		name: 'JQueryMobile-UI-Widgets';
		description: 'jQueryMobile widgets';
		addDependency: 'JQuery-Core';
		url: #seasideUrl;
		yourself! !

JQWidget subclass: #JQMWidget
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-UI-Widgets'!

JQMWidget subclass: #JQMButtonSelectBase
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-UI-Widgets'!

!JQMButtonSelectBase commentStamp: 'NickAger 11/1/2011 02:10' prior: 0!
http://jquerymobile.com/test/docs/buttons/buttons-options.html!

JQMButtonSelectBase subclass: #JQMButton
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-UI-Widgets'!

!JQMButton methodsFor: 'accessing' stamp: 'NickAger 11/1/2011 02:44'!
method
	^ 'button'! !

!JQMButtonSelectBase methodsFor: 'options' stamp: 'NickAger 11/1/2011 01:29'!
corners: aBoolean
	"default: true Applies the theme button border-radius if set to true. This option is also exposed as a data attribute: data-corners='false'"
	self optionAt: 'corners' put: aBoolean! !

!JQMButtonSelectBase methodsFor: 'options' stamp: 'NickAger 11/1/2011 01:31'!
icon: aString
	"default: null - Applies an icon from the icon set. This option is also exposed as a data attribute: data-icon='star'"
	self optionAt: 'icon' put: aString! !

!JQMButtonSelectBase methodsFor: 'options' stamp: 'NickAger 11/1/2011 01:38'!
iconPosition: aString
	"default: 'left'
	Positions the icon in the button. Possible values: left, right, none, notext. 
	The notext value will display an icon-only button with no text feedback. This option is also exposed as a data attribute: data-iconpos='left'"
	
	self optionAt: 'iconpos' put: aString! !

!JQMButtonSelectBase methodsFor: 'options' stamp: 'NickAger 11/1/2011 01:38'!
iconShadow: aBoolean
	"default: true
	Applies the theme shadow to the button's icon if set to true. This option is also exposed as a data attribute: data-iconshadow='false'"	
	self optionAt: 'iconshadow' put: aBoolean! !

!JQMButtonSelectBase methodsFor: 'options' stamp: 'NickAger 11/1/2011 01:39'!
inline: aBoolean
	"default: null (false)
	If set to true, this will make the button act like an inline button so the width is determined by the button's text. 
	By default, this is null (false) so the button is full width, regardless of the feedback content. Possible values: true, false. 
	This option is also exposed as a data attribute: data-inline='true'"
	self optionAt: 'inline' put: aBoolean! !

!JQMButtonSelectBase methodsFor: 'options' stamp: 'NickAger 11/1/2011 02:10'!
shadow: aBoolean
	"default: true
	Applies the drop shadow style to the button if set to true. 
	This option is also exposed as a data attribute: data-shadow='false'"
	self optionAt: 'shadow' put: aBoolean! !

JQMButtonSelectBase subclass: #JQMSelect
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-UI-Widgets'!

!JQMSelect methodsFor: 'as yet unclassified' stamp: 'NickAger 11/1/2011 02:44'!
method
	^ 'selectmenu'! !

!JQMSelect methodsFor: 'options' stamp: 'NickAger 11/1/2011 02:46'!
nativeMenu: aBoolean
	"default: true
	When set to true, clicking the custom-styled select menu will open the native select menu
	which is best for performance. If set to false, the custom select menu style will be used 
	instead of the native menu. This option is also exposed as a data attribute: data-native-menu='false'"
	self optionAt: 'nativeMenu' put: aBoolean
! !

JQMWidget subclass: #JQMRadioButton
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-UI-Widgets'!

!JQMRadioButton methodsFor: 'accessing' stamp: 'NickAger 11/1/2011 02:41'!
method
	^ 'checkboxradio'! !

JQMWidget subclass: #JQMSlider
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-UI-Widgets'!

!JQMSlider methodsFor: 'accessing' stamp: 'NickAger 11/1/2011 02:30'!
method
	^ 'slider'! !

!JQMSlider methodsFor: 'options' stamp: 'NickAger 11/1/2011 02:37'!
trackTheme: aString
	"default: null, inherited from parent
	Sets the color scheme (swatch) for the slider's track, specifically. It accepts a single letter from a-z 
	that maps to the swatches included in your theme"
	self optionAt: 'theme' put: aString! !

JQMWidget subclass: #JQMTextInput
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQueryMobile-UI-Widgets'!

!JQMTextInput methodsFor: 'accessing' stamp: 'NickAger 11/1/2011 02:29'!
method
	^ 'textinput'! !

!JQMWidget methodsFor: 'methods' stamp: 'NickAger 11/1/2011 02:28'!
refresh
	self action: 'refresh'! !

!JQMWidget methodsFor: 'options' stamp: 'NickAger 11/1/2011 02:28'!
theme: aString
	"default: null, inherited from parent
	Sets the color scheme (swatch) for all instances of this widget. It accepts a single letter from a-z that maps to the swatches
	included in your theme. By default, it will inherit the same swatch color as it's parent container if not explicitly set. 
	This option is also exposed as a data attribute: data-theme='a'"
	self optionAt: 'theme' put: aString! !
